package com.yc.education.mapper;

import com.yc.education.model.Prize;
import com.yc.education.model.Record;
import com.yc.education.util.MyMapper;

import java.util.List;

/**
 * @ClassName RecordMapper
 * @Description TODO
 * @Author QuZhangJing
 * @Date 2019/4/1 15:27
 * @Version 1.0
 */
public interface PrizeMapper extends MyMapper<Prize> {


    public List<Prize> getAll();

    public void updatePrize(String pname);

    public Integer getLv(Integer id);

    public Integer delPrize(Integer id);

    public Prize queryPrizeById(Integer id);

    public void updatePrizeByPid(Prize prize);

    public void addPrize(Prize prize);
}
